Summary: A simple template system
Name: new
Version: 1.3.8
Release: 2
License: GPL
Group: Development/Tools
Source: http://www.flyn.org/projects/%name/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.flyn.org
Requires: zlib
BuildRequires: glib2-devel, zlib-devel, java-1.4.2-gcj-compat-devel, libgcj-devel

%description
New is a template system, especially useful in conjunction with a 
simple text editor such as vi. The user maintains templates which 
may contain format strings. At run time, new replaces the format 
strings in a template with appropriate values to create a new file.

For example, given the following template:


//   FILE: %%(FILE)
// AUTHOR: %%(FULLNAME)
//   DATE: %%(DATE)

// Copyright (C) 1999 %(FULLNAME) %(EMAIL)
// All rights reserved.
new will create:


//   FILE: foo.cpp
// AUTHOR: W. Michael Petullo
//   DATE: 11 September 1999

// Copyright (C) 1999 W. Michael Petullo new@flyn.org
// All rights reserved.
on my computer.

The program understands plaintext or gziped template files.

Building new also creates a shared library, libnewtemplate, which 
allows the programmer access to new's functionality.

%package devel
Summary: Files needed to develop applications using new's libraries
Group: Development/Libraries
Requires: new = %{version}-%{release}
Requires: glib2-devel, zlib-devel

%description devel
New is a template system, especially useful in conjunction with a
simple text editor such as vi. The user maintains templates which may
contain format strings. At run time, new replaces the format strings in
a template with appropriate values to create a new file.  This package
provides the libraries, include files, and other resources needed for
developing applications using new's API.

# %package java
# Summary: Files needed to develop applications using new's Java classes
# Group: Development/Libraries
# Requires: new = %{version}-%{release}

# %description java
# New is a template system, especially useful in conjunction with a
# simple text editor such as vi. The user maintains templates which may
# contain format strings. At run time, new replaces the format strings in
# a template with appropriate values to create a new file.  This package
# provides the resources needed for developing applications using new's
# Java classes.

%prep


%setup


%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libnewfmt_ptrn.a
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libnewfmt_ptrn.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libnewfmt_ptrnjni.a
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libnewfmt_ptrnjni.la

# Delete the following 2 lines for building Java:
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libnewfmt_ptrnjni.*
rm -f ${RPM_BUILD_ROOT}%{_datadir}/java/libnewfmt_ptrnjava.jar

rm -f ${RPM_BUILD_ROOT}%{_libdir}/libnewtemplate.a
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libnewtemplate.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_bindir}/*
%{_libdir}/libnewfmt_ptrn.so.*
%{_libdir}/libnewtemplate.so.*
%{_datadir}/new
%{_mandir}/*/*
%doc	AUTHORS COPYING ChangeLog INSTALL README

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/new.pc
%{_includedir}/new
%{_libdir}/lib*.so

# %files java
# %defattr(-, root, root)
# %{_libdir}/libnewfmt_ptrnjni.so.*
# %{_datadir}/java/*

%changelog
* Sun Sep 10 2006 W. Michael Petullo <mike[@]flyn.org> - 1.3.8-2
   - BuildRequires Java tools.

* Sun Sep 10 2006 W. Michael Petullo <mike[@]flyn.org> - 1.3.8-1
   - Updated to new 1.3.8.
   - Create new java package, comment out for now.

* Thu Sep 07 2006 W. Michael Petullo <mike[@]flyn.org> - 1.3.7-4
   - Use _libdir macro for rm -rf of .a and .la (fix 64-bit build.)

* Thu Sep 07 2006 W. Michael Petullo <mike[@]flyn.org> - 1.3.7-3
   - Rebuild for Fedora Extras 6.

* Fri Feb 17 2006 W. Michael Petullo <mike[@]flyn.org> - 1.3.7-2
   - Rebuild for Fedora Extras 5.

* Thu Feb 02 2006 W. Michael Petullo <mike[@]flyn.org> - 1.3.7-1
   - Updated to new 1.3.7.

* Wed Feb 01 2006 W. Michael Petullo <mike[@]flyn.org> - 1.3.6-1
   - Updated to new 1.3.6.

* Sat Dec 24 2005 W. Michael Petullo <mike[@]flyn.org> - 1.3.5-3
   - Add %%defattr for %%files devel.

* Tue Dec 13 2005 W. Michael Petullo <mike[@]flyn.org> - 1.3.5-2
   - Broke out -devel package.
   - Simplifies %files block.
   - Don't use %doc %{_mandir}.
   - No empty NEWS or FAQ.

* Sun Dec 11 2005 W. Michael Petullo <mike[@]flyn.org> - 1.3.5-1
   - Updated to new 1.3.5.
